﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

[RequireComponent(typeof(rotate))]
public class RequireComponentTest : MonoBehaviour {
    [Serializable]
    public class Stuff
    {
        public string neato;
        public string hohoho;
    }

    [SerializeField]
    [Tooltip("This is private")]
    private int varPrivate = 1;
    [SerializeField]
    [Header("Organize")]
    protected int varProtected = 1;
    [SerializeField]
    public int varPublic = 1;
    [SerializeField]
    public Stuff varClass = null;
    [SerializeField]
    int[] numbers = new int[] { 0, 1, 2 };
    [SerializeField]
    List<int> resizableList = new List<int>() { 8, 9, 10 };

    private void Start()
    {
        Debug.Log("Private: " + varPrivate);
        Debug.Log("Protected: " + varProtected);
        Debug.Log("Public: " + varPublic);
    }
}
